
Summary: Gstreamer phonon-qt5 backend
Name:    phonon-qt5-backend-gstreamer
Epoch:   2
Version: 4.10.0
Release: 1%{?dist}

License: LGPLv2+
URL:     http://phonon.kde.org/

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/phonon/phonon-backend-gstreamer/%{version}/phonon-backend-gstreamer-%{version}.tar.xz

## upstream patches

## upstreamable patches

BuildRequires: pkgconfig(gstreamer-1.0)
BuildRequires: pkgconfig(gstreamer-app-1.0) pkgconfig(gstreamer-audio-1.0) pkgconfig(gstreamer-video-1.0)

Requires: gstreamer1-plugins-good%{?_isa}

BuildRequires: cmake
BuildRequires: extra-cmake-modules
BuildRequires: gcc-c++
BuildRequires: kf5-rpm-macros
BuildRequires: cmake(Phonon4Qt5) >= 4.11 
BuildRequires: pkgconfig(Qt5OpenGL)
BuildRequires: pkgconfig(Qt5X11Extras)

%global phonon_version %(pkg-config --modversion phonon 2>/dev/null || echo 4.11)

Provides: phonon-qt5-backend%{?_isa} = %{phonon_version}

%description
%{summary}.


%prep
%autosetup -n phonon-backend-gstreamer-%{version} -p1


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} .. \
  -DCMAKE_BUILD_TYPE:STRING="Release" \
  -DUSE_INSTALL_PLUGIN:BOOL=ON \
  -DPHONON_BUILD_PHONON4QT5:BOOL=ON
popd

%make_build -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang phonon_gstreamer --with-qt


%files -f phonon_gstreamer.lang
%license COPYING.LIB
%{_qt5_plugindir}/phonon4qt5_backend/phonon_gstreamer.so
%{_kf5_datadir}/icons/hicolor/*/apps/phonon-gstreamer.*


%changelog
* Mon Jan 20 2020 Rex Dieter <rdieter@fedoraproject.org> - 4.10.0-1
- first try at Qt5-only backend

